## ros-indigo-naoqi-driver-py 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_driver_py)

# Tell CMake where to find "FindNAOqi.cmake"
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Find all required modules for compilation
find_package(catkin REQUIRED COMPONENTS
    dynamic_reconfigure
)

# This will install python libraries
catkin_python_setup()

 # auto-generate dynamic reconfiguration GUI before catkin_package()
generate_dynamic_reconfigure_options(cfg/NaoqiSpeech.cfg)

# Information for other packages to import this module
catkin_package(
  CFG_EXTRAS naoqi_driver-extras.cmake
)

#And this will install python nodes
catkin_install_python(PROGRAMS nodes/naoqi_joint_states.py nodes/naoqi_logger.py nodes/naoqi_moveto.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Instructions to install launch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch )

# Install cmake file
install(FILES cmake/FindNAOqi.cmake
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/
)

=== debian/changelog ===
ros-indigo-naoqi-driver-py (0.5.5-0trusty) trusty; urgency=high

  * add doc to args
  * disable odom with param and get arg from launch file
  * set Surya as the maintainer
  * cmd_vel and move_base_simple/goal topic names renamed without '/' at first
  * parametrize topic names
  * Contributors: Igor Rodriguez, Kei Okada, Naoki-Kameyama, Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.5.4-0trusty) trusty; urgency=high

  * Merge branch 'add_fake_effort' of https://github.com/k-okada/naoqi_bridge into k-okada-add_fake_effort
  * Contributors: Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 20 May 2016 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.5.3-0trusty) trusty; urgency=high

  * remove useless dependencies
  * Contributors: Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 26 Aug 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.5.2-0trusty) trusty; urgency=high

  * really remove the .xml for diagnostics
  * Contributors: Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.5.1-0trusty) trusty; urgency=high

  * generate changelog
  * generate changelog
  * Contributors: Karsten Knese
  * generate changelog
  * Contributors: Karsten Knese

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.5.0-0trusty) trusty; urgency=high

  * update package.xml description
  * remove wrongly set conflict tag
  * Merge branch 'naoqi_py'
  * delete legacy msg package
  * rename packages
  * remove cpp library builds
  * remove cpp code
  * rename packages to <*>_py
  * Contributors: Karsten Knese

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.8-0trusty) trusty; urgency=high

  * remove Groovy compatibility
  * Contributors: Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 25 Jun 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.7-0trusty) trusty; urgency=high

  * MOVETO: transform moveTo commands in /base_footprint frame.
  * Contributors: lsouchet

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Mon, 30 Mar 2015 07:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.6-0trusty) trusty; urgency=high

  * update repo links in package.xml
  * fix the naoqi_logger name
  * fix bad nao_logger package
  * readd logger
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Feb 2015 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.5-0trusty) trusty; urgency=high

  * DRIVER: Add node to send motion moveTo via rviz.
  * propper install of the nodes
  * Contributors: Vincent Rabaud, lsouchet

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 11 Feb 2015 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.4-0trusty) trusty; urgency=high



 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 16 Jan 2015 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.3-0trusty) trusty; urgency=high

  * put data into effort
  * publish joint_stiffness
  * also install the include folder
  * install the FindNAOqi.cmake and use extra file in all cases
  * get the packages to actually conflict with the old versions (nao*)
    The replace tag does not provide a way to uninstall the packages.
    Its use case is different.
  * Contributors: Kei Okada, Vincent Rabaud

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Sun, 14 Dec 2014 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.2-0trusty) trusty; urgency=high

  * update changelogs
  * Fix SDK dependencies (did not compile in C++ with every SDK versions)
  * Added support for connecting to local broker
    By doing this the nodelet can connect to a local broker allowing
    direct function calls and memory access.
    Note that the nodelet will prefer the local broker over one
    specified on the command line or using ros parameters.
  * Contributors: Jon Dybeck, Vincent Rabaud, sambrose
  * Fix SDK dependencies (did not compile in C++ with every SDK versions)
  * Added support for connecting to local broker
    By doing this the nodelet can connect to a local broker allowing
    direct function calls and memory access.
    Note that the nodelet will prefer the local broker over one
    specified on the command line or using ros parameters.
  * Contributors: Jon Dybeck, sambrose

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 26 Nov 2014 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.1-0trusty) trusty; urgency=high

  * added speech dynamic reconfigure
  * bugfix: naoqi migration
  * Init ros node before getting parameters
    Fix a problem where the pip and pport parameters are always set to their
    default values when using the parameter server and not command line arguments.
  * Search for free port for broker
    Setting the local port to zero causes the broker to search for a free port.
    In nao_robot/nao_apps/nao_tactile.py this technique is used to make the broker
    search for a free port. However this does not appear to be a documented
    by aldebaran.
  * Update for naoqi version < 2.0
  * Contributors: Edgar Riba, Jon Dybeck, Karsten Knese

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-naoqi-driver-py (0.4.0-0trusty) trusty; urgency=high

  * fix install file for cmake hook
  * removed wrong install routine
  * introduce replace tag in package.xml
  * cleanup
  * moved to pose_controller.py in nao_robot
  * quickfix for renaming
  * renamed naoqi_sensors
  * cmake extras hooks
  * api change
  * remove and renaming
  * renamed subfolders for naoqi_*
  * Contributors: Karsten Knese

 -- Severin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-naoqi-driver-py
Section: misc
Priority: extra
Maintainer: Severin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure
Homepage: http://ros.org/wiki/naoqi_driver
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-driver-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-humanoid-nav-msgs, ros-indigo-naoqi-bridge-msgs, ros-indigo-nav-msgs, ros-indigo-roslaunch, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Description: Python implementation of the driver package for the Naoqi robot, providing access to walking commands, joint angles, and sensor data (odometry, IMU, ...).
 The most-current version is compatible with the Nao API version 1.12 or newer, connecting to a real or simulated Nao by wrapping Aldebaran Robotics' NaoQI API in Python. This requires the &quot;lib&quot; directory of the Aldebaran Python SDK to be in your PYTHONPATH environment variable. Note that cameras drivers are provided in a separate package (naoqi_sensors_py).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqi-driver-py//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
